Data
GET https://gratisqrcode.nl/api/data/
curl --request GET \
--url 'https://gratisqrcode.nl/api/data/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://gratisqrcode.nl/api/data/' \
--header 'Authorization: Bearer {api_key}' \
| Parametere | Detaljer | Beskrivelse |
|---|---|---|
| type | Valgfritt Streng | Hvilket felt du søker etter. Tillatte verdier er: email_collector, phone_collector, contact_collector, appointment_calendar. |
| datetime_field | Valgfritt Streng | Tillatte verdier: datetime |
| datetime_start | Valgfritt Streng | Filtrer resultater fra og med dette tidspunktet. Format Y-m-d H:i:s. |
| datetime_end | Valgfritt Streng | Filtrer resultater til og med dette tidspunktet. Format Y-m-d H:i:s. |
| order_by | Valgfritt Streng | Hvilket felt resultatene skal sorteres etter. Tillatte verdier er: datum_id, datetime. |
| order_type | Valgfritt Streng | Sorteringsrekkefølgen for resultatene. Tillatte verdier er: ASC for stigende sortering, og DESC for synkende sortering. |
| page | Valgfritt Heltall | Sidenummeret du vil ha resultater fra. Standard er 1. |
| results_per_page | Valgfritt Heltall | Hvor mange resultater du vil ha per side. Tillatte verdier er: 10, 25, 50, 100, 250, 500, 1000. Standard er 25. |
{
"data": [
{
"id": 1,
"biolink_block_id": 1,
"link_id": 1,
"project_id": 1,
"type": "mail",
"data": {
"email": "email@example.com",
"name": "John doe"
},
"datetime": "2026-08-19 12:27:38",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://gratisqrcode.nl/api/data?page=1",
"last": "https://gratisqrcode.nl/api/data?page=1",
"next": null,
"prev": null,
"self": "https://gratisqrcode.nl/api/data?page=1"
}
}
GET https://gratisqrcode.nl/api/data/{datum_id}
curl --request GET \
--url 'https://gratisqrcode.nl/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://gratisqrcode.nl/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"biolink_block_id": 1,
"link_id": 1,
"project_id": 1,
"type": "mail",
"data": {
"email": "email@example.com",
"name": "John doe"
},
"datetime": "2026-08-19 12:27:38",
}
}
DELETE https://gratisqrcode.nl/api/data/{datum_id}
curl --request DELETE \
--url 'https://gratisqrcode.nl/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://gratisqrcode.nl/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \